Lucifer22334
Posts: 55
Joined: Wed Mar 06, 2019 7:36 am

Error Updating and Upgrading or installing packages

Wed Jul 17, 2019 10:40 am

Hi all,

I am using 2018 stable version of raspbian stretch with desktop. when I am running

sudo apt-get update It is giving me Error 403 Forbidden[IP: 93.93.128.191 80] so I cant run Sudo apt-get upgrade.

Then I tried to install packages Sudo apt-get install xxxx then also same Error and say unable to fetch packages and above Error.

This same Error was also with the buster image with desktop and recommended software. I tried running sudo apt update -y on it also but same Error.

I changed the source list to old one sudo apt-get update was successful but sudo ap-get upgrade gave me again same Error as above.
Any solution to this?

wh7qq
Posts: 1299
Joined: Thu Oct 09, 2014 2:50 am

Re: Error Updating and Upgrading or installing packages

Fri Jul 19, 2019 2:58 am

I've never seen this type of error from an update/upgrade..."403 error" is an http status code that you would get from a web page. Are you working from a terminal window or a browser? These commands must be run from a terminal or a terminal window (hope that isn't too obvious).

Stretch should still be upgradeable although it is now out of date, replaced by Buster. From your post, it sounds like you may have messed up your "sources-list" file so if you can't restore it exactly, your best bet is to download a fresh .zip file of Raspbian_latest and burn it to a fresh uSD card if you have files you want to save on the old one. The new distribution will still run fine on your older RPi but also supports the new RPi 4.

User avatar
rpdom
Posts: 14742
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: Error Updating and Upgrading or installing packages

Fri Jul 19, 2019 6:47 am

wh7qq wrote:
Fri Jul 19, 2019 2:58 am
I've never seen this type of error from an update/upgrade..."403 error" is an http status code that you would get from a web page.
Actually it is an error that you would receive from a web server and apt uses http so that error would be possible if there were a problem. It shouldn't happen though. I suspect one of the mirrors has an issue.

I'd say wait a few hours and try again. If it still fails post the full output of the update command, preferably in [code] tags

Lucifer22334
Posts: 55
Joined: Wed Mar 06, 2019 7:36 am

Re: Error Updating and Upgrading or installing packages

Fri Jul 19, 2019 12:15 pm

wh7qq wrote:
Fri Jul 19, 2019 2:58 am
I've never seen this type of error from an update/upgrade..."403 error" is an http status code that you would get from a web page. Are you working from a terminal window or a browser? These commands must be run from a terminal or a terminal window (hope that isn't too obvious).

Stretch should still be upgradeable although it is now out of date, replaced by Buster. From your post, it sounds like you may have messed up your "sources-list" file so if you can't restore it exactly, your best bet is to download a fresh .zip file of Raspbian_latest and burn it to a fresh uSD card if you have files you want to save on the old one. The new distribution will still run fine on your older RPi but also supports the new RPi 4.
I was running from the raspberry pi terminal and I haven't changed the source list I just commented it and added latest from the busters source list. Buster was also giving the same error so I thought the move to an older version. I also tried by putting the old source list which I had in my Old raspberry pi, then also the same Error.

Lucifer22334
Posts: 55
Joined: Wed Mar 06, 2019 7:36 am

Re: Error Updating and Upgrading or installing packages

Fri Jul 19, 2019 12:16 pm

rpdom wrote:
Fri Jul 19, 2019 6:47 am
wh7qq wrote:
Fri Jul 19, 2019 2:58 am
I've never seen this type of error from an update/upgrade..."403 error" is an http status code that you would get from a web page.
Actually it is an error that you would receive from a web server and apt uses http so that error would be possible if there were a problem. It shouldn't happen though. I suspect one of the mirrors has an issue.

I'd say wait a few hours and try again. If it still fails post the full output of the update command, preferably in [code] tags
Ok still the same Error I am going to put that in this post but when I can't go scrolling up in the terminal Because only last couple houndreds lines are shown at the end.

User avatar
rpdom
Posts: 14742
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: Error Updating and Upgrading or installing packages

Fri Jul 19, 2019 2:09 pm

The apt update command shouldn't result in hundreds of lines, just twenty or so at most.

You could always redirect the output to a file.

Lucifer22334
Posts: 55
Joined: Wed Mar 06, 2019 7:36 am

Re: Error Updating and Upgrading or installing packages

Fri Jul 19, 2019 2:20 pm

rpdom wrote:
Fri Jul 19, 2019 2:09 pm
The apt update command shouldn't result in hundreds of lines, just twenty or so at most.

You could always redirect the output to a file.
Ok then I will post this tomorrow in this question.

Lucifer22334
Posts: 55
Joined: Wed Mar 06, 2019 7:36 am

Re: Error Updating and Upgrading or installing packages

Tue Jul 23, 2019 5:35 am

rpdom wrote:
Fri Jul 19, 2019 2:09 pm
The apt update command shouldn't result in hundreds of lines, just twenty or so at most.

You could always redirect the output to a file.
I have Loaded latest raspbian stretch Image on raspberry pi 3 and on sudo apt-get update I have this Error.
Here is the output:

Hit:1 http://archive.raspberrypi.org/debian stretch InRelease
Get:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0 kB]
Ign:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
Ign:4 http://raspbian.raspberrypi.org/raspbian stretch/non-free armhf Packages
Ign:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
Ign:4 http://raspbian.raspberrypi.org/raspbian stretch/non-free armhf Packages
Err:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
403 Forbidden [IP: 93.93.128.193 80]
Ign:4 http://raspbian.raspberrypi.org/raspbian stretch/non-free armhf Packages
Fetched 15.0 kB in 31s (481 B/s)
Reading package lists... Done
E: Failed to fetch http://raspbian.raspberrypi.org/raspbia ... f/Packages 403 Forbidden [IP: 93.93.128.193 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.

fruitoftheloom
Posts: 20143
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: Error Updating and Upgrading or installing packages

Tue Jul 23, 2019 7:24 am

Lucifer22334 wrote:
Tue Jul 23, 2019 5:35 am
rpdom wrote:
Fri Jul 19, 2019 2:09 pm
The apt update command shouldn't result in hundreds of lines, just twenty or so at most.

You could always redirect the output to a file.
I have Loaded latest raspbian stretch Image on raspberry pi 3 and on sudo apt-get update I have this Error.
Here is the output:

Hit:1 http://archive.raspberrypi.org/debian stretch InRelease
Get:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0 kB]
Ign:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
Ign:4 http://raspbian.raspberrypi.org/raspbian stretch/non-free armhf Packages
Ign:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
Ign:4 http://raspbian.raspberrypi.org/raspbian stretch/non-free armhf Packages
Err:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
403 Forbidden [IP: 93.93.128.193 80]
Ign:4 http://raspbian.raspberrypi.org/raspbian stretch/non-free armhf Packages
Fetched 15.0 kB in 31s (481 B/s)
Reading package lists... Done
E: Failed to fetch http://raspbian.raspberrypi.org/raspbia ... f/Packages 403 Forbidden [IP: 93.93.128.193 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.

It would appear you have an internet connection issue, I am able to access both http://raspbian.raspberrypi.org/raspbian & 93.93.128.193

Though considering Stretch has been replaced with Buster it may be prudent to start with a fresh install of Raspbian Buster on a new SD Card ?
adieu

Asus CS10 Chromebit / HP Envy 4500 Wireless Printer / Raspberry Pi Model 2B v1.1 / RealVNC Software...

Lucifer22334
Posts: 55
Joined: Wed Mar 06, 2019 7:36 am

Re: Error Updating and Upgrading or installing packages

Wed Jul 24, 2019 9:34 am

fruitoftheloom wrote:
Tue Jul 23, 2019 7:24 am
Lucifer22334 wrote:
Tue Jul 23, 2019 5:35 am
rpdom wrote:
Fri Jul 19, 2019 2:09 pm
The apt update command shouldn't result in hundreds of lines, just twenty or so at most.

You could always redirect the output to a file.
I have Loaded latest raspbian stretch Image on raspberry pi 3 and on sudo apt-get update I have this Error.
Here is the output:

Hit:1 http://archive.raspberrypi.org/debian stretch InRelease
Get:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0 kB]
Ign:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
Ign:4 http://raspbian.raspberrypi.org/raspbian stretch/non-free armhf Packages
Ign:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
Ign:4 http://raspbian.raspberrypi.org/raspbian stretch/non-free armhf Packages
Err:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages
403 Forbidden [IP: 93.93.128.193 80]
Ign:4 http://raspbian.raspberrypi.org/raspbian stretch/non-free armhf Packages
Fetched 15.0 kB in 31s (481 B/s)
Reading package lists... Done
E: Failed to fetch http://raspbian.raspberrypi.org/raspbia ... f/Packages 403 Forbidden [IP: 93.93.128.193 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.

It would appear you have an internet connection issue, I am able to access both http://raspbian.raspberrypi.org/raspbian & 93.93.128.193

Though considering Stretch has been replaced with Buster it may be prudent to start with a fresh install of Raspbian Buster on a new SD Card ?

Ok I will try that.

Return to “General discussion”